[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'getopts' (#rtl)

# TOption

Long option description record

## Declaration

Source position: getopts.pp line 28

`type TOption = record`
`Name: string;` |  | Long option name
`Has_arg: Integer;` |  | Does the option have arguments (values)
`Flag: PChar;` |  | Flag
`Value: Char;` |  | Value to return when option is encountered
`end;`

## Description

The TOption type is used to communicate the long options to GetLongOpts. The Name field is the name of the option. Has_arg specifies if the option wants an argument, Flag is a pointer to a char, which is set to Value, if it is non-nil.

Documentation generated on: Feb 26 2014